/*
 *  openmoko-dates -- OpenMoko Calendar Application
 *
 *  Authored by Chris Lord <chris@openedhand.com>
 *
 *  Copyright (C) 2006-2007 OpenMoko Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser Public License as published by
 *  the Free Software Foundation; version 2 of the license.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser Public License for more details.
 *
 *  Current Version: $Rev$ ($Date$) [$Author$]
 */

#ifndef _DATES_TIMEZONE_TILE_H
#define _DATES_TIMEZONE_TILE_H

#include <glib-object.h>
#include <libtaku/taku-icon-tile.h>
#include <libjana-ecal/jana-ecal.h>

G_BEGIN_DECLS

#define DATES_TYPE_TIMEZONE_TILE dates_timezone_tile_get_type()

#define DATES_TIMEZONE_TILE(obj) \
	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
	DATES_TYPE_TIMEZONE_TILE, DatesTimezoneTile))

#define DATES_TIMEZONE_TILE_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_CAST ((klass), \
	DATES_TYPE_TIMEZONE_TILE, DatesTimezoneTileClass))

#define DATES_IS_TIMEZONE_TILE(obj) \
	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
	DATES_TYPE_TIMEZONE_TILE))

#define DATES_IS_TIMEZONE_TILE_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_TYPE ((klass), \
	DATES_TYPE_TIMEZONE_TILE))

#define DATES_TIMEZONE_TILE_GET_CLASS(obj) \
	(G_TYPE_INSTANCE_GET_CLASS ((obj), \
	DATES_TYPE_TIMEZONE_TILE, DatesTimezoneTileClass))

typedef struct {
	TakuIconTile parent;
} DatesTimezoneTile;

typedef struct {
	TakuIconTileClass parent_class;
} DatesTimezoneTileClass;

GType dates_timezone_tile_get_type (void);

GtkWidget * dates_timezone_tile_new (void);

void dates_timezone_tile_set_timezone (DatesTimezoneTile *tile,
				       JanaEcalTime *time);

G_END_DECLS

#endif /* _DATES_TIMEZONE_TILE_H */
